org.apache.flume.sink.elasticsearch

## Class ContentBuilderUtil

- java.lang.Object
- - org.apache.flume.sink.elasticsearch.ContentBuilderUtil

-     public class ContentBuilderUtil
      extends Object

  Utility methods for using ElasticSearch `XContentBuilder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addComplexField(org.elasticsearch.common.xcontent.XContentBuilder builder, String fieldName, org.elasticsearch.common.xcontent.XContentType contentType, byte[] data)`
    `static void` | `addSimpleField(org.elasticsearch.common.xcontent.XContentBuilder builder, String fieldName, byte[] data)`
    `static void` | `appendField(org.elasticsearch.common.xcontent.XContentBuilder builder, String field, byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### appendField

          public static void appendField(org.elasticsearch.common.xcontent.XContentBuilder builder,
                         String field,
                         byte[] data)
                                  throws IOException

      Throws:
        `IOException`

    - #### addSimpleField

          public static void addSimpleField(org.elasticsearch.common.xcontent.XContentBuilder builder,
                            String fieldName,
                            byte[] data)
                                     throws IOException

      Throws:
        `IOException`

    - #### addComplexField

          public static void addComplexField(org.elasticsearch.common.xcontent.XContentBuilder builder,
                             String fieldName,
                             org.elasticsearch.common.xcontent.XContentType contentType,
                             byte[] data)
                                      throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.